跳到主要内容

挖掘结果因子列表

GET/research/mining/{run_id}/factors在线调试
GET https://api.shengkezhi.com/open/v1/research/mining/{run_id}/factors
等效 curl
curl "https://api.shengkezhi.com/open/v1/research/mining/{run_id}/factors" \
  -H "Authorization: Bearer sk_xxx"

GET /research/mining/{run_id}/factors — 挖掘结果因子列表。

需在请求头携带 Authorization: Bearer sk_xxx

路径参数

参数必填说明
run_id挖掘记录 ID

响应

响应 dataMiningFactorList

字段类型必填说明
itemsMiningFactorItem[]当前页的保留因子列表项。
pageinteger当前页码,从 1 起。
page_sizeinteger每页条数。
totalinteger过滤后的因子总数(分页前)。

调用示例

curl "https://api.shengkezhi.com/open/v1/research/mining/20260531_053509_90ec76ba/factors" -H "Authorization: Bearer sk_xxx"
{
"code": 0,
"data": {
"items": [
{
"agg": {
"best_problem": "FTS_PROBLEM_8C7C30",
"best_sharpe": 1.5,
"mean_sharpe": 1.5,
"median_calmar": 5.0,
"median_sharpe": 1.5,
"pos_sharpe_ratio": 1.0,
"problem_count": 1
},
"compute_engine": "TSA",
"create_time": "2026-05-31 05:35:09",
"description": "20 日动量:收盘价较 20 日前的变化率",
"eval_count": 1,
"factor_code": "Sub($close, Ref($close, 20))",
"factor_name": "TSA_260531_6BEFDD",
"metrics": {
"交易胜率": 0.6,
"卡玛比率": 5.0,
"夏普比率": 1.5,
"年化收益": 0.2,
"年化波动率": 0.12,
"日胜率": 0.55,
"最大回撤": -0.04
},
"problem_count": 1
}
],
"page": 1,
"page_size": 20,
"total": 1
},
"msg": "ok"
}